curl --request GET \
--url https://api.syntage.com/datasources/rug/garantias/{id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.syntage.com/datasources/rug/garantias/{id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.syntage.com/datasources/rug/garantias/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"@context": "/contexts/RugGarantia",
"@id": "/datasources/rug/garantias/99c13810-868f-482e-a6f1-878254248d27",
"@type": "RugGarantia",
"id": "99c13810-868f-482e-a6f1-878254248d27",
"numeroDeGarantia": 123456,
"fechaDeInscripcion": "2021-10-12T19:58:11.000Z",
"fechaDeCancelacion": "2023-03-12T00:00:00.000Z",
"otorgantes": [
{
"nombre": "El Otorgante de Garantías Mobiliarias, S.A. de C.V.",
"folioElectronico": "34011*7"
}
],
"acreedor": "Grupo Financiero Acreedor, S.A.P.I. de C.V., SOFOM E.N.R.",
"tipoDeGarantia": "factoraje_financiero",
"monto": 12345.67,
"moneda": "peso_mexicano",
"tipoDeLosBienes": [
"derechos_incluyendo_derechos_de_cobro"
],
"descripcionDeLosBienes": "Factura con el folio fiscal 99c13810-868f-482e-a6f1-878254248d27",
"fechaDeCelebracionDelActoOContrato": "2021-03-08T00:00:00.000Z",
"fechaDeTerminacionDelActoOContrato": "2022-03-08T00:00:00.000Z",
"operaciones": [
{
"@id": "/datasources/rug/operaciones/99c13810-868f-482e-a6f1-878254248d27",
"@type": "RugOperacion",
"id": "99c13810-868f-482e-a6f1-878254248d27",
"numeroDeAsiento": 12345678,
"tipo": "inscripcion",
"fecha": "2021-10-12T00:00:00.000Z",
"file": "/files/99c13810-868f-482e-a6f1-878254248d27",
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z"
}
],
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z"
}{
"message": "<string>"
}{
"message": "<string>"
}Retrieve RUG guarantee
Retrieve one RUG guarantee by ID, including collateral details, creditor, grantors, contract dates, and related operations.
Authorizations
Your API key is available in the Production and Sandbox dashboards.
Path Parameters
Response
RUG garantia resource response
RUG guarantee resource
RUG guarantee IRI reference
"/datasources/rug/garantias/99c13810-868f-482e-a6f1-878254248d27"
RUG guarantee ID
"99c13810-868f-482e-a6f1-878254248d27"
RUG guarantee number
123456
Date and time the guarantee was registered
"2021-10-12T19:58:11.000Z"
Date and time the guarantee was cancelled
"2023-03-12T00:00:00.000Z"
Show child attributes
Show child attributes
Creditor name reported for the guarantee
"Grupo Financiero Acreedor, S.A.P.I. de C.V., SOFOM E.N.R."
Type of movable collateral guarantee
cesion_de_creditos, clausulas_rescisoria_y_de_reserva_de_dominio_en_compraventas_mercantiles, constituida_sobre_aeronave, constituida_sobre_embarcacion, derechos_de_retencion, derivada_de_un_arrendamiento_financiero, derivada_de_un_credito_de_habilitacion_o_avio, derivada_de_un_credito_refaccionario, derivada_de_un_fideicomiso_de_garantia, derivada_de_una_hipoteca_industrial, factoraje_financiero, otros_actos_gravamenes_o_afectaciones_sobre_bienes_muebles_en_los_que_el_acreedor_no_mantenga_la_posesion_sobre_los_mismos, prenda_ordinaria_mercantil_cuando_el_acreedor_prendario_no_mantenga_la_posesion_sobre_los_bienes, prenda_sin_transmision_de_posesion, privilegios_especiales "factoraje_financiero"
Guaranteed amount
12345.67
Currency reported for the guaranteed amount
"peso_mexicano"
Types of collateral goods covered by the guarantee
acciones_y_obligaciones_bonos_contratos_de_opcion_y_futuros, bienes_de_consumo, derechos_incluyendo_derechos_de_cobro, ganado, inventario, maquinaria_y_equipo, otros, productos_agricolas, vehiculos_de_motor Description of the collateral goods covered by the guarantee
"Factura con el folio fiscal 99c13810-868f-482e-a6f1-878254248d27"
Date the act or contract was executed
"2021-03-08T00:00:00.000Z"
Date the act or contract ends
"2022-03-08T00:00:00.000Z"
Show child attributes
Show child attributes
Date and time the resource was created
"2020-01-01T12:15:00.000Z"
Date and time the resource was last updated
"2020-01-01T12:15:00.000Z"
Was this page helpful?